<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="273dp"
        android:layout_height="209dp"
        android:background="@drawable/wheel_backround"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:layout_marginBottom="7dp"
            android:text="自定义停止播放时间"
            android:textColor="#ff333333"
            android:textSize="16sp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/gl1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintGuide_begin="53dp" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/gl2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintGuide_end="61dp" />


        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_marginRight="21dp"
            app:layout_constraintBottom_toTopOf="@id/gl2"
            app:layout_constraintRight_toLeftOf="@id/gl3"
            app:layout_constraintTop_toBottomOf="@id/gl1">

            <com.tencent.liteav.demo.superplayer.ui.view.WheelView
                android:id="@+id/layout_wheel"
                android:layout_width="62dp"
                android:layout_height="match_parent" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_marginLeft="21dp"
            app:layout_constraintBottom_toTopOf="@id/gl2"
            app:layout_constraintLeft_toRightOf="@id/gl3"
            app:layout_constraintTop_toBottomOf="@id/gl1">

            <com.tencent.liteav.demo.superplayer.ui.view.WheelView
                android:id="@+id/layout_wheel2"
                android:layout_width="62dp"
                android:layout_height="match_parent" />
        </LinearLayout>


        <TextView
            android:id="@+id/wheel_cancel"
            android:layout_width="85dp"
            android:layout_height="34dp"
            android:layout_marginTop="5dp"
            android:layout_marginRight="11dp"
            android:background="@drawable/wheel_cancel_button"
            android:gravity="center"
            android:text="取消"
            android:textAlignment="center"
            android:textColor="#FF999999"
            android:textSize="14sp"
            app:layout_constraintRight_toLeftOf="@id/gl3"
            app:layout_constraintTop_toBottomOf="@id/gl2" />


        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/gl3"
            android:layout_width="1dp"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.5" />

        <TextView
            android:id="@+id/wheel_confirm"
            android:layout_width="85dp"
            android:layout_height="34dp"
            android:layout_marginLeft="11dp"
            android:layout_marginTop="5dp"
            android:background="@drawable/wheel_certain_button"
            android:gravity="center"
            android:text="确定"
            android:textAlignment="center"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            app:layout_constraintLeft_toRightOf="@id/gl3"
            app:layout_constraintTop_toBottomOf="@id/gl2" />

        <ImageView
            android:id="@+id/wheel_close"
            android:layout_width="17dp"
            android:layout_height="17dp"
            android:src="@mipmap/dialog_close"
            android:layout_marginTop="13dp"
            android:layout_marginRight="12dp"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>
